{
  "version": "1.0.0",
  "stack": {
    "name": "cloudfront",
    "kind": "l1",
    "depth": 1
  },
  "resources": [
    {
      "id": "cloudfront-originaccesscontrol",
      "type": "aws:cloudfront:originaccesscontrol",
      "module": "cloudfront@1.0.0",
      "inputs": {
        "name": "acdl-oac",
        "origin_type": "s3",
        "signing_behavior": "always",
        "region": "us-east-1"
      },
      "outputs": {
        "oac_id": {
          "type": "string"
        }
      }
    },
    {
      "id": "cloudfront-distribution",
      "type": "aws:cloudfront:distribution",
      "module": "cloudfront@1.0.0",
      "inputs": {
        "bucket_regional_domain_name": "acdl-spike-bucket.s3.us-east-1.amazonaws.com",
        "price_class": "PriceClass_100",
        "viewer_protocol_policy": "redirect-to-https",
        "default_ttl": 3600,
        "max_ttl": 86400,
        "region": "us-east-1"
      },
      "outputs": {
        "distribution_arn": {
          "type": "arn"
        },
        "distribution_domain_name": {
          "type": "string"
        },
        "oac_id": {
          "type": "string"
        }
      }
    }
  ]
}
